Debian Bug report logs - #669307
pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type

version graph

Package: src:pcp; Maintainer for src:pcp is PCP Development Team <pcp@mail.performancecopilot.org>;

Reported by: debian-bsd@lists.debian.org

Date: Wed, 18 Apr 2012 21:39:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version pcp/3.6.2

Fixed in version pcp/3.6.3

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#669307; Package src:pcp. (Wed, 18 Apr 2012 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Nathan Scott <nathans@debian.org>. (Wed, 18 Apr 2012 21:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type
Date: Wed, 18 Apr 2012 23:20:54 +0200
Package: src:pcp
Version: 3.6.2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

freebsd.c: In function 'kmemread_init':
freebsd.c:425:10: warning: variable 'sts' set but not used [-Wunused-but-set-variable]
freebsd.c: In function 'freebsd_fetchCallBack':
freebsd.c:522:35: error: dereferencing pointer to incomplete type
freebsd.c:522:50: error: dereferencing pointer to incomplete type
freebsd.c:512:13: warning: variable 'i' set but not used [-Wunused-but-set-variable]
make[4]: *** [freebsd.o] Error 1
make[3]: *** [default_pcp] Error 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=pcp&arch=kfreebsd-amd64&ver=3.6.2&stamp=1334747946

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#669307; Package src:pcp. (Thu, 19 Apr 2012 04:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Scott <nathans@debian.org>:
Extra info received and forwarded to list. (Thu, 19 Apr 2012 04:06:04 GMT) Full text and rfc822 format available.

Message #10 received at 669307@bugs.debian.org (full text, mbox):

From: Nathan Scott <nathans@debian.org>
To: debian-bsd@lists.debian.org, 669307@bugs.debian.org
Subject: Re: Bug#669307: pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type
Date: Thu, 19 Apr 2012 13:02:57 +1000
Hi,

Thanks for reporting the (new) build problem (again), Christoph!

> freebsd.c: In function 'kmemread_init':
> freebsd.c:425:10: warning: variable 'sts' set but not used [-Wunused-but-set-variable]
> freebsd.c: In function 'freebsd_fetchCallBack':
> freebsd.c:522:35: error: dereferencing pointer to incomplete type
> freebsd.c:522:50: error: dereferencing pointer to incomplete type
> freebsd.c:512:13: warning: variable 'i' set but not used [-Wunused-but-set-variable]
> make[4]: *** [freebsd.o] Error 1
> make[3]: *** [default_pcp] Error 2
>

This package recently acquired some FreeBSD-specific code.  I have
access to a FreeBSD 8.2
machine, where the code compiles, but on Debian FreeBSD still no joy.
I attempted to access
one of the Debian kfreebsd boxes, with no luck although I can access
other Debian machines.

Can anyone give me some pointers on how to get onto a kfreebsd box to
check the build issue?
Its either a build packaging dependency issue, or more likely somehow
the loadavg struct in
sys/resource.h is not visible... (perhaps guarded by a macro?  not
clear, keen to poke around to
check though, so I can stop wasting Christophs time)

Thanks!!

--
Nathan




Bug 669307 cloned as bug 669424 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 18:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#669307; Package src:pcp. (Thu, 19 Apr 2012 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. (Thu, 19 Apr 2012 18:33:04 GMT) Full text and rfc822 format available.

Message #17 received at 669307@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Nathan Scott <nathans@debian.org>
Cc: debian-bsd@lists.debian.org, 669307@bugs.debian.org
Subject: Re: Bug#669307: pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type
Date: Thu, 19 Apr 2012 20:31:17 +0200
# Bug 669307 cloned as bug 669424
retitle 669424 missing struct loadavg
severity 669424 wishlist
tags 669424 fixed-upstream
reassign 669424 libc0.1-dev
block 669307 by 669424
thanks

El 19 d’abril de 2012 5:02, Nathan Scott <nathans@debian.org> ha escrit:
> Its either a build packaging dependency issue, or more likely somehow
> the loadavg struct in
> sys/resource.h is not visible... (perhaps guarded by a macro?

It's missing indeed.  Problem fixed in glibc-bsd SVN (rev 4209).

-- 
Robert Millan




Added blocking bug(s) of 669307: 669424 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 18:33:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#669307; Package src:pcp. (Thu, 19 Apr 2012 19:48:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. (Thu, 19 Apr 2012 19:48:27 GMT) Full text and rfc822 format available.

Message #24 received at 669307@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Nathan Scott <nathans@debian.org>
Cc: debian-bsd@lists.debian.org, 669307@bugs.debian.org
Subject: Re: Bug#669307: pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type
Date: Thu, 19 Apr 2012 21:46:04 +0200
[Message part 1 (text/plain, inline)]
tags 669307 patch
thanks

El 19 d’abril de 2012 20:31, Robert Millan <rmh@debian.org> ha escrit:
> It's missing indeed.  Problem fixed in glibc-bsd SVN (rev 4209).

Besides, a few more fixes are needed to build pcp on GNU/kFreeBSD.

Please could you forward those upstream?

-- 
Robert Millan
[pcp_kfreebsd-gnu.diff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 19:48:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#669307; Package src:pcp. (Thu, 19 Apr 2012 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Scott <nathans@debian.org>:
Extra info received and forwarded to list. (Thu, 19 Apr 2012 22:45:05 GMT) Full text and rfc822 format available.

Message #31 received at 669307@bugs.debian.org (full text, mbox):

From: Nathan Scott <nathans@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: debian-bsd@lists.debian.org, 669307@bugs.debian.org
Subject: Re: Bug#669307: pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type
Date: Fri, 20 Apr 2012 07:41:47 +1000
Fabulous - thanks Robert!!!  That patch will be in pcp-3.6.3 which
I'll test & upload in the next few days.

cheers.

--
Nathan




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#669307; Package src:pcp. (Thu, 19 Apr 2012 23:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Scott <nathans@debian.org>:
Extra info received and forwarded to list. (Thu, 19 Apr 2012 23:48:07 GMT) Full text and rfc822 format available.

Message #36 received at 669307@bugs.debian.org (full text, mbox):

From: Nathan Scott <nathans@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: debian-bsd@lists.debian.org, 669307@bugs.debian.org
Subject: Re: Bug#669307: pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type
Date: Fri, 20 Apr 2012 09:43:00 +1000
Hi Robert,

On 20 April 2012 05:46, Robert Millan <rmh@debian.org> wrote:
> tags 669307 patch
> thanks
>
> El 19 d’abril de 2012 20:31, Robert Millan <rmh@debian.org> ha escrit:
>> It's missing indeed.  Problem fixed in glibc-bsd SVN (rev 4209).
>
> Besides, a few more fixes are needed to build pcp on GNU/kFreeBSD.
>
> Please could you forward those upstream?

That's merged.  For the glibc-bsd commit, will I need an updated
Build-Depends line to ensure that the new glibc is present when
building pcp?
If so, could you suggest a minimum version to depend on there?  Thanks!

cheers.

--
Nathan




Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#669307; Package src:pcp. (Fri, 20 Apr 2012 18:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. (Fri, 20 Apr 2012 18:27:07 GMT) Full text and rfc822 format available.

Message #41 received at 669307@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Nathan Scott <nathans@debian.org>
Cc: debian-bsd@lists.debian.org, 669307@bugs.debian.org
Subject: Re: Bug#669307: pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type
Date: Fri, 20 Apr 2012 20:22:59 +0200
El 20 d’abril de 2012 1:43, Nathan Scott <nathans@debian.org> ha escrit:
> That's merged.  For the glibc-bsd commit, will I need an updated
> Build-Depends line to ensure that the new glibc is present when
> building pcp?

Yes.

> If so, could you suggest a minimum version to depend on there?  Thanks!

No, but if you subscribe to #669424 you'll get notice when the fixed
version is known.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#669307; Package src:pcp. (Sun, 29 Apr 2012 18:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. (Sun, 29 Apr 2012 18:30:06 GMT) Full text and rfc822 format available.

Message #46 received at 669307@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Nathan Scott <nathans@debian.org>
Cc: debian-bsd@lists.debian.org, 669307@bugs.debian.org
Subject: Re: Bug#669307: pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type
Date: Sun, 29 Apr 2012 20:27:48 +0200
2012/4/20 Robert Millan <rmh@debian.org>:
> El 20 d’abril de 2012 1:43, Nathan Scott <nathans@debian.org> ha escrit:
>> That's merged.  For the glibc-bsd commit, will I need an updated
>> Build-Depends line to ensure that the new glibc is present when
>> building pcp?
>
> Yes.
>
>> If so, could you suggest a minimum version to depend on there?  Thanks!
>
> No, but if you subscribe to #669424 you'll get notice when the fixed
> version is known.

Fix available in libc0.1-dev (>= 2.13-31~).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Nathan Scott <nathans@debian.org>:
Bug#669307; Package src:pcp. (Fri, 04 May 2012 12:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Nathan Scott <nathans@debian.org>. (Fri, 04 May 2012 12:45:16 GMT) Full text and rfc822 format available.

Message #51 received at 669307@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Nathan Scott <nathans@debian.org>
Cc: Robert Millan <rmh@debian.org>, debian-bsd@lists.debian.org, 669307@bugs.debian.org
Subject: Re: Bug#669307: pcp: FTBFS[kfreebsd]: error: dereferencing pointer to incomplete type
Date: Fri, 04 May 2012 13:13:11 +0100
close 669307 3.6.3
thanks

Closing this as it was fixed and now built, thanks :)

>  pcp (3.6.3) unstable; urgency=low
>  .
>    * New release (full details in CHANGELOG).
>    * Further kFreeBSD fixes, final remaining issue in glibc headers.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Marked as fixed in versions pcp/3.6.3. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 04 May 2012 12:45:20 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 04 May 2012 12:45:21 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 04 May 2012 12:45:22 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jun 2012 07:35:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 17:00:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.